Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL
Interface VariableInitExp

All Superinterfaces:
  ImperativeExpression

All Known Implementing Classes:
  VariableInitExpImpl

    public interface VariableInitExp

extends ImperativeExpression

A representation of the model object 'Variable Init Exp'.

The following features are supported:

- `Referred Variable`
- `With Result`

See Also:
  `ImperativeOCLPackage.getVariableInitExp()`

Method Summary
`Variable` | `getReferredVariable()` Returns the value of the 'Referred Variable' containment reference
`boolean` | `isWithResult()` Returns the value of the 'With Result' attribute.
`void` | `setReferredVariable(Variable value)` Sets the value of the '`Referred Variable`' containment reference
`void` | `setWithResult(boolean value)` Sets the value of the '`With Result`' attribute

Method Detail

### getReferredVariable

    Variable getReferredVariable()

  Returns the value of the 'Referred Variable' containment reference.

  If the meaning of the 'Referred Variable' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Referred Variable' containment reference.
  See Also:
    `setReferredVariable(Variable)`, `ImperativeOCLPackage.getVariableInitExp_ReferredVariable()`

### setReferredVariable

    void setReferredVariable(Variable value)

  Sets the value of the '`Referred Variable`' containment reference.

  Parameters:
    `value` - the new value of the 'Referred Variable' containment reference.
  See Also:
    `getReferredVariable()`

### isWithResult

    boolean isWithResult()

  Returns the value of the 'With Result' attribute. The default value is `"false"`.

  If the meaning of the 'With Result' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'With Result' attribute.
  See Also:
    `setWithResult(boolean)`, `ImperativeOCLPackage.getVariableInitExp_WithResult()`

### setWithResult

    void setWithResult(boolean value)

  Sets the value of the '`With Result`' attribute.

  Parameters:
    `value` - the new value of the 'With Result' attribute.
  See Also:
    `isWithResult()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2008 Borland Software Corporation and others. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD